Bug 222960 - Review Request: XenMan - Graphical management tool for Xen
Review Request: XenMan - Graphical management tool for Xen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-01-16 22:44 EST by Xavier Lamien
Modified: 2008-11-07 03:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 03:59:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Lamien 2007-01-16 22:44:18 EST
Spec URL: http://blog.fedora-fr.org/public/smootherfrogz/SPECS/xenman.spec
SRPM URL: http://blog.fedora-fr.org/public/smootherfrogz/RPMs/xenman-0.6-2.fc6.src.rpm
Description: 

XenMan is an intuitive, graphical management tool aimed at operational lifecycle management for the Xen virtualization platform.
With XenMan's secure, multi-node administration, performance management and provisioning capabilities, administrators can safely manage their entire environment from a single, centralized console. Most common administrative tasks like starting, stopping, monitoring and provisioning virtual machines (Guest OS's) typically involve just a few mouse clicks with XenMan; as do server management operations like scanning OS configurations or acquiescing individual servers for maintainance.


Hi,
I packaged this program and i would appreciate a review so that i can
get it into fedora extras.
Comment 1 Michał Bentkowski 2007-01-22 17:50:36 EST
I'll have a look at it.
Comment 2 Rik van Riel 2007-01-25 11:22:37 EST
According to http://xenman.sourceforge.net/ XenMan was renamed to ConVirt.  Is
Xenman really the right name for the RPM?
Comment 3 Daniel Berrange 2007-01-25 12:33:26 EST
Although I don't believe this is part of the formal packaging guidelines, the
PAM config file that is included for the console-helper magic does not follow
the standard used by other console-helper enabled apps.

eg, xenman RPM installs a file containing

# cat /etc/pam.d/xenman
#%PAM-1.0                                            
auth       sufficient   pam_rootok.so                      
auth       sufficient   pam_timestamp.so                     
auth       include      system-auth   
session    required     pam_permit.so                         
session    optional     pam_xauth.so                            
session    optional     pam_timestamp.so                   
account    required     pam_permit.so

While other apps typically delegate the config:

# cat /etc/pam.d/system-config-network
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util

The latter config makes it easy to manage all the apps' PAM configs in one place.

The app appears configured in /etc/xenman.conf to write to /var/log/xenman, but
the RPM does not create this directory. I don't know if the application takes
care of rotatings log files itself, but if not it installing a config into
/etc/logrotate.d would be desirable.
Comment 4 Xavier Lamien 2007-01-25 13:59:05 EST
(In reply to comment #2)
> According to http://xenman.sourceforge.net/ XenMan was renamed to ConVirt.  Is
> Xenman really the right name for the RPM?

Convirt is the project name.

(In reply to comment #3)
>While other apps typically delegate the config:

it'll be change to follow the same way of all PAM config.

>The app appears configured in /etc/xenman.conf to write to /var/log/xenman, but
>the RPM does not create this directory. I don't know if the application takes
>care of rotatings log files itself, but if not it installing a config into
>/etc/logrotate.d would be desirable.

Don't really need it in spec file, the apps is in charge for log file.
Comment 5 Rudolf Kastl 2007-01-26 06:05:25 EST
(In reply to comment #4)
> (In reply to comment #2)
> > According to http://xenman.sourceforge.net/ XenMan was renamed to ConVirt.  Is
> > Xenman really the right name for the RPM?
> 
> Convirt is the project name.
> 
> (In reply to comment #3)
> >While other apps typically delegate the config:
> 
> it'll be change to follow the same way of all PAM config.
> 
> >The app appears configured in /etc/xenman.conf to write to /var/log/xenman, but
> >the RPM does not create this directory. I don't know if the application takes
> >care of rotatings log files itself, but if not it installing a config into
> >/etc/logrotate.d would be desirable.
> 
> Don't really need it in spec file, the apps is in charge for log file.

and rpm is in charge to own the dirs and be able to remove it aswell. maybe it
would make sense to also touch an empty logfile and get it owned by the package?  ;)
Comment 6 Xavier Lamien 2007-01-26 08:55:37 EST
That's right...

i'll add it ;-) and post the updated spec file and srpm.

thanks 
Comment 7 Xavier Lamien 2007-01-26 11:17:55 EST
>maybe it would make sense to also touch an empty logfile and get it owned by
the >package? 

Add it in %post ands as %ghost file, what do you think about it ?
Comment 8 Michał Bentkowski 2007-01-27 07:41:01 EST
(In reply to comment #7)
> >maybe it would make sense to also touch an empty logfile and get it owned by
> the >package? 
> 
> Add it in %post ands as %ghost file, what do you think about it ?

Doesn't sound good. Just create it in %install and simply add
%{_sysconfdir}/log/%{name} to %files.
Comment 9 Xavier Lamien 2007-02-03 07:05:58 EST
Spec URL: http://blog.fedora-fr.org/public/smootherfrogz/SPECS/xenman.spec
SRPM URL:
http://blog.fedora-fr.org/public/smootherfrogz/RPMs/xenman-0.6-3.fc6.src.rpm

Added Logfile as mentioned in xenman.conf file in /etc/

(in reply to comment #8)
>Just create it in %install and simply add
>%{_sysconfdir}/log/%{name} to %files.

better place in, %{_localstatedir}/log/%{name}

Comment 10 Mamoru TASAKA 2007-02-16 13:11:55 EST
(Removing NEEDSPONSOR: bug 225075)
Comment 12 manuel wolfshant 2007-02-19 06:18:24 EST
   Just built (sucessfully) in mock and I have noticed that the docs are
packaged twice: in /usr/share/xenman/doc and in /usr/share/doc/xenman-0.6
   Also, I do not think that the content of /usr/share/xenman/patches is worth
shipping, because FC5, FC6 and devel all have python-paramiko>=1.6.4
Comment 13 Michał Bentkowski 2007-02-19 07:27:20 EST
Unassigning this bug due to my lack of time...
Comment 14 Xavier Lamien 2007-05-11 20:04:31 EDT
Still need to be reviewed (just a lil' up)
Comment 15 Jason Tibbitts 2007-07-28 11:53:17 EDT
This isn't showing up in the list of tickets to be reviewed because the status
is set to "POST".  I only saw it because I'm cleaning up the old FE-NEW tracker.
 Let me see if I can get it to show up properly.
Comment 16 Jason Tibbitts 2007-07-29 02:09:19 EDT
OK, this is showing up in the new package list now.

However, I don't see any indication that the issues raised in comment 12 have
been addressed, and I view this as unapprovable until they are.
Comment 17 Xavier Lamien 2007-07-29 09:53:20 EDT
ho yeah,
Will fix this
Comment 18 Paul Wouters 2007-07-29 22:32:34 EDT
I am somewhat confused by this package. The screenshots show it is for
administrating xen servers. It depends on python-paramaibo, which is the
python-ssh client. Yet it requires xen on the local machine?

People tend to have more then 1 xen server (if only to be able to migrate).
It would be great if this GUI would support adding remote xen servers.
Comment 19 Jason Tibbitts 2007-07-30 10:42:49 EDT
Feature requests like this should really go upstream, shouldn't they?
Comment 20 Xavier Lamien 2007-07-30 13:20:16 EDT
> I am somewhat confused by this package. The screenshots show it is for
> administrating xen servers. It depends on python-paramaibo, which is the
> python-ssh client. Yet it requires xen on the local machine?

only for local administration (i.e local managing domain)


> People tend to have more then 1 xen server (if only to be able to migrate).
> It would be great if this GUI would support adding remote xen servers.

actually it able to do so (through ssh).
Comment 22 Bug Zapper 2008-04-04 01:38:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 23 Mamoru TASAKA 2008-04-04 06:55:59 EDT
We must not close review requests automatically :(

By the way, will you still want to have this package reviewed, Xavier?
(I have no knowledge about Xen...)
Comment 24 Jason Tibbitts 2008-11-06 17:42:49 EST
Hmm, no response to Mamoru's question in seven months.  I don't even know if there's any point to this package in the new KVM and libvirt world, but if there's no response soon then I guess I'll just close this.
Comment 25 Xavier Lamien 2008-11-07 03:45:31 EST
thanks for the heads up Jason. No mail report received from previous update of this bug.

Well, upstream has moved its software to Convirt (with KVM and libvirt support) since few months already.
I'll just make it available in a new Review request.
So I think this bug can be easily  close.
Comment 26 Mamoru TASAKA 2008-11-07 03:59:30 EST
Okay, thank you for update.

Note You need to log in before you can comment on or make changes to this bug.